org.apache.lucene.analysis.morfologik

## Class MorfologikAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.morfologik.MorfologikAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class MorfologikAnalyzer
      extends Analyzer

  `Analyzer` using Morfologik library.
  See Also:
    Morfologik project page

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MorfologikAnalyzer()` Builds an analyzer with the default Morfologik's Polish dictionary.
    `MorfologikAnalyzer(morfologik.stemming.Dictionary dictionary)` Builds an analyzer with an explicit `Dictionary` resource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents(String field)` Creates a `Analyzer.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.
    `protected TokenStream` | `normalize(String fieldName, TokenStream in)`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, getVersion, initReader, initReaderForNormalization, normalize, setVersion, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MorfologikAnalyzer

          public MorfologikAnalyzer(morfologik.stemming.Dictionary dictionary)

      Builds an analyzer with an explicit `Dictionary` resource.
      Parameters:
        `dictionary` - A prebuilt automaton with inflected and base word forms.
      See Also:
        https://github.com/morfologik/

    - #### MorfologikAnalyzer

          public MorfologikAnalyzer()

      Builds an analyzer with the default Morfologik's Polish dictionary.

  - ### Method Detail

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents(String field)

      Creates a `Analyzer.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.
      Specified by:
        `createComponents` in class `Analyzer`
      Parameters:
        `field` - ignored field name
      Returns:
        A `Analyzer.TokenStreamComponents` built from an `StandardTokenizer` filtered with `StandardFilter` and `MorfologikFilter`.

    - #### normalize

          protected TokenStream normalize(String fieldName,
                                          TokenStream in)

      Overrides:
        `normalize` in class `Analyzer`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.